Sign In to Use AI
Toggle
neThing.xyz
Code CAD
Image to 3D
Geometry
Optics
Model
AI
Help
Code Mode:
Build123D
# Start building a part with BuildPart() as p: # Start a new sketch with BuildSketch() as s: # Draw a rectangle with length 115 and width 50 Rectangle(115, 50) # Set the location for the next shape with Locations((5 / 2, 0)): # Draw a slot with length 90 and width 12, and subtract it from the existing sketch SlotOverall(90, 12, mode=Mode.SUBTRACT) # Extrude the sketch to create a 3D part with a height of 15 extrude(amount=15) # Start a new sketch on the XZ plane, offset by 50/2 in the Y direction with BuildSketch(Plane.XZ.offset(50 / 2)) as s3: # Set the location for the next shape with Locations((-115 / 2 + 26, 15)): # Draw a slot with length 42 + 2 * 26 + 12 and width 2 * 26, rotated by 90 degrees SlotOverall(42 + 2 * 26 + 12, 2 * 26, rotation=90) # Extrude the sketch to create a 3D part with a height of -12 (extruding downwards) zz = extrude(amount=-12) # Split the part along the XY plane split(bisect_by=Plane.XY) # Select the second last group of edges along the X axis that are aligned with the Y axis edgs = p.part.edges().filter_by(Axis.Y).group_by(Axis.X)[-2] # Apply a fillet with radius 9 to the selected edges fillet(edgs, 9) # Set the location for the next shape to the face of zz with the smallest Y coordinate with Locations(zz.faces().sort_by(Axis.Y)[0]): # Set the location for the next shape with Locations((42 / 2 + 6, 0)): # Draw a counterbore hole with diameter 24/2, counterbore diameter 34/2, and depth 4 CounterBoreHole(24 / 2, 34 / 2, 4) # Mirror the part about the XZ plane mirror(about=Plane.XZ) # Start a new sketch with BuildSketch() as s4: # Draw a rounded rectangle with length 115, width 50, and corner radius 6 RectangleRounded(115, 50, 6) # Extrude the sketch to create a 3D part with a height of 80, intersecting with the existing part extrude(amount=80, mode=Mode.INTERSECT) # Note: the fillet operation does not work correctly, so intersection mode is used instead # Start a new sketch on the YZ plane with BuildSketch(Plane.YZ) as s2: # Draw a trapezoid with bottom length 18, top length 8, and angle 180 - 60, aligned to the center and bottom Trapezoid(18, 8, 180 - 60, align=(Align.CENTER, Align.MIN)) # Extrude the sketch to create a 3D part with a height of 80, subtracting it from the existing part extrude(amount=80, both=True, mode=Mode.SUBTRACT) # Save the final object to the variable `save` save = p
Auto-Generate
Sign In to Generate Model
Sign In to Use AI
Color
Roughness
Metallic
Transmission
Iridescence
Apply
Rotate
Download .STL
Make it real.
LLM:
anthropic/claude-3.5-sonnet
# Should be replaced by helpinfo.md
Wallet Balance:
Loading...
Refresh Balance
Select Image Generation Model
Imagen3 (Fast) ($0.05)
Number of Images (1-4)
Image Prompt
Generate Images
Select Image-to-3D Model
Loading models...
Drag and drop your image here
or
Choose File
Download GLB
Welcome to neThing.xyz!